require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "GoogleCurrencyCalculator" do
  it "converts 1 british pound to brazilian reais" do
    stub_request(:get, "http://www.google.com/ig/calculator?q=1GBP=?BRL").
        to_return(:body => '{lhs: "1 British pound",rhs: "2.78750957 Brazil reais",error: "",icc: true}')
    
    calculator = GoogleCurrencyCalculator.new(:from => 'GBP', :to => 'BRL')
    calculator.value.should == 2.78
  end
end
